#!/usr/bin/env node

const path = require("path");
const { runLinter } = require("../lib/linter");

const args = process.argv.slice(2);
if (args.length === 0) {
  console.error("Usage: react-coding-standards <file_or_directory>");
  process.exit(1);
}

const targetPath = path.resolve(args[0]);
runLinter(targetPath);
